## aircrack-ng 1.2

=== Makefile ===
need := 3.81
ok := $(filter $(need),$(firstword $(sort $(MAKE_VERSION) \
	$(need))))

ifndef ok
    $(error fatal error... Need make $(need) but using $(MAKE_VERSION), please upgrade)
endif

AC_ROOT		= .
include		$(AC_ROOT)/common.mak

DOCFILES        = ChangeLog INSTALLING README LICENSE AUTHORS VERSION

COVERITY_BUILD	?= cov-build
COVERITY_DIR	= cov-int

COVERITY_TAR_GZ	= Aircrack-ng.tar.gz
COVERITY_CREDS_DIR	= coverity
COVERITY_TOKEN	= $(shell cat ${COVERITY_CREDS_DIR}/token)
COVERITY_EMAIL	= $(shell cat ${COVERITY_CREDS_DIR}/email)

default: all

all:
	$(MAKE) -C src $(@)

coverity-build:
	$(COVERITY_BUILD) --dir $(COVERITY_DIR) $(MAKE) sqlite=true experimental=true pcre=true

coverity-package: coverity-build
	tar czvf $(COVERITY_TAR_GZ) $(COVERITY_DIR)

coverity-upload: coverity-package
	curl --form project=Aircrack-ng --form token=$(COVERITY_TOKEN) --form email=$(COVERITY_EMAIL) --form file=@$(COVERITY_TAR_GZ) --form version=r$(REVISION) --form description="Aircrack-ng svn r$(REVISION)" http://scan5.coverity.com/cgi-bin/upload.py

coverity-show-creds:
	@echo "Token: $(COVERITY_TOKEN)"
	@echo "Email: $(COVERITY_EMAIL)"

aircrack-ng-opt-prof_gen: all
	mkdir -p prof
	$(MAKE) -C src $(@)

aircrack-ng-opt-prof_use:
	$(MAKE) -C src $(@)

install: all
	$(MAKE) -C src $(@)
	$(MAKE) -C scripts $(@)
	$(MAKE) -C manpages $(@)
	@echo " "
	@echo "[*] Run 'airodump-ng-oui-update' as root (or with sudo) to install or update Airodump-ng OUI file (Internet connection required)."

uninstall:
	$(MAKE) -C src $(@)
	-rm -fr $(DESTDIR)$(docdir)
	$(MAKE) -C manpages $(@)
	$(MAKE) -C scripts $(@)

strip:
	$(MAKE) -C src $(@)

doc:
	install -d $(DESTDIR)$(docdir)
	install -m 644 $(DOCFILES) $(DESTDIR)$(docdir)

clean:
	-rm -rf $(COVERITY_DIR)
	-rm -f common.cfg
	$(MAKE) -C src $(@)
	$(MAKE) -C test/cryptounittest $(@)
	$(MAKE) -C test $(@)

distclean: clean

check: 
	$(MAKE) -C src $(@)
	$(MAKE) -C test/cryptounittest $(@)
	$(MAKE) -C test $(@)

=== manpages/Makefile ===
AC_ROOT		= ..
include		$(AC_ROOT)/common.mak

MP_FILES	= aircrack-ng.1 airdecap-ng.1 ivstools.1 kstats.1 makeivs-ng.1 \
		  packetforge-ng.1 airdecloak-ng.1 wpaclean.1 besside-ng-crawler.1

SMP_FILES	= airdriver-ng.8 aireplay-ng.8 airmon-ng.8 airodump-ng.8 \
		  airserv-ng.8 airtun-ng.8 airbase-ng.8 airodump-ng-oui-update.8 \
		  besside-ng.8


ifeq ($(subst TRUE,true,$(filter TRUE true,$(sqlite) $(SQLITE))),true)
	MP_FILES += airolib-ng.1
endif

ifeq ($(subst TRUE,true,$(filter TRUE true,$(unstable) $(UNSTABLE))),true)
	MP_FILES  += buddy-ng.1
	SMP_FILES += tkiptun-ng.8 easside-ng.8 wesside-ng.8 airmon-zc.8
endif


default: all

all:
	@echo Nothing to do

install: uninstall
	install -d $(DESTDIR)$(mandir)
	install -d $(DESTDIR)$(smandir)
	install -m 644 $(MP_FILES) $(DESTDIR)$(mandir)
	install -m 644 $(SMP_FILES) $(DESTDIR)$(smandir)

# Uninstall just calls cleanfiles with all possible switches enabled to
# ensure all previously installed manpages are cleaned
uninstall:
	$(MAKE) cleanfiles sqlite=true unstable=true

cleanfiles:
	@-$(foreach CUR_MP,$(MP_FILES), rm -f $(DESTDIR)$(mandir)/$(CUR_MP); echo rm -f $(DESTDIR)$(mandir)/$(CUR_MP); )
	@-$(foreach CUR_SMP,$(SMP_FILES), rm -f $(DESTDIR)$(smandir)/$(CUR_SMP); echo rm -f $(DESTDIR)$(smandir)/$(CUR_SMP); )

=== scripts/Makefile ===
AC_ROOT		= ..
include		$(AC_ROOT)/common.mak

SCRIPTS         = airodump-ng-oui-update
SCRIPTS_LNX	= airmon-ng

default: all

all:
	@echo Nothing to do

install:
	install -m 755 $(SCRIPTS) $(DESTDIR)$(sbindir)
ifeq ($(OSNAME), Linux)
	install -m 755 $(SCRIPTS_LNX) $(DESTDIR)$(sbindir)
endif
ifeq ($(filter FreeBSD GNU-kFreeBSD, $(OSNAME)),)
else
	install -m 755 airmon-ng.freebsd $(DESTDIR)$(sbindir)/airmon-ng
endif
ifeq ($(subst TRUE,true,$(filter TRUE true,$(ext_scripts) $(EXT_SCRIPTS))),true)
	@for i in * ; do \
		if [ -d $$i ] && [ $$i != "." ] && [ $$i != ".." ]; then \
			make -C $$i install DESTDIR=$(DESTDIR) ; \
		fi ; \
	done
endif

uninstall:
	-rm -f $(DESTDIR)$(sbindir)/airmon-ng
	-rm -f $(DESTDIR)$(sbindir)/airdriver-ng
	-rm -f $(DESTDIR)$(sbindir)/airodump-ng-oui-update
	$(MAKE) -C airdrop-ng $(@)
	$(MAKE) -C airgraph-ng $(@)
	$(MAKE) -C airoscript-ng $(@)
	$(MAKE) -C versuck-ng $(@)

clean:
	@echo Nothing to do

=== src/Makefile ===
AC_ROOT		= ..
include $(AC_ROOT)/common.mak

TEST_DIR	= $(AC_ROOT)/test

CFLAGS		+= -Iinclude

iCC		= /opt/intel/bin/icc
iCFLAGS		= -w -xHOST $(COMMON_CFLAGS)
iOPTFLAGS	= -O3 -ip -ipo -D_FILE_OFFSET_BITS=64
PROF_DIR	= $(PWD)/prof

BINFILES        = aircrack-ng$(EXE) airdecap-ng$(EXE) packetforge-ng$(EXE) \
		  ivstools$(EXE) kstats$(EXE) makeivs-ng$(EXE) \
		  airdecloak-ng$(EXE) wpaclean$(EXE)

LIBPCRE		=
ifeq ($(PCRE), true)
	LIBPCRE = $(shell $(PKG_CONFIG) --libs libpcre)
endif

ifneq ($(OSNAME), cygwin) #There is yet no libpcap support for windows, so we skip the crawler
	HAVE_PCAP	= $(shell ld -lpcap 2> /dev/null && echo yes)
	ifeq ($(HAVE_PCAP), yes) #cannot link with -lpcap, skip crawler
		BINFILES	+= besside-ng-crawler$(EXE)
		LIBPCAP		= -lpcap
	endif
endif

ifeq ($(subst TRUE,true,$(filter TRUE true,$(sqlite) $(SQLITE))),true)
	BINFILES	+= airolib-ng$(EXE)
endif


SBINFILES       = aireplay-ng$(EXE) airodump-ng$(EXE) airserv-ng$(EXE) \
		  airtun-ng$(EXE) airbase-ng$(EXE)

OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt \
		  aircrack-ng-opt-prof prof/*


ifeq ($(subst TRUE,true,$(filter TRUE true,$(experimental) $(EXPERIMENTAL))),true)
	SBINFILES	+= wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE) besside-ng$(EXE)
	BINFILES	+= buddy-ng$(EXE)
endif

SRC_SSE_COMMON	= memory.c wpapsk.c
OBJS_SSE_COMMON = memory.o wpapsk.o
OBJ_MEMORY	= memory.o
SRC_SSE_CORE	= sse-intrinsics.c
OBJ_SSE_CORE	= sse-intrinsics.o
SRC_SIMD_CORE	= simd-intrinsics.c
OBJ_SIMD_CORE	= simd-intrinsics.o
SIMDOUT		= wpapsk-simd.o

ifeq ($(subst TRUE,true,$(filter TRUE true,$(multibin) $(MULTIBIN))),true)
SSESIMD_BIN	= wpapsk-simd.o wpapsk-sse.o aircrack-ng-core.o aircrack-ng-simd$(EXE) aircrack-ng-sse$(EXE)
CFLAGS		+= -DOLD_SSE_CORE
else
ifeq ($(subst TRUE,true,$(filter TRUE true,$(newsse) $(NEWSSE))),true)
ifeq ($(subst TRUE,true,$(filter TRUE true,$(simdcore) $(SIMDCORE))),true)
CFLAGS		+= -DSIMD_CORE
SSEC_INT	= simd-intrinsics.c $(SRC_SSE_COMMON)
SSEO_INT	= simd-intrinsics.o $(OBJS_SSE_COMMON)
else
SSEC_INT	= sse-intrinsics.c $(SRC_SSE_COMMON)
SSEO_INT	= sse-intrinsics.o $(OBJS_SSE_COMMON)
endif
endif
endif

SRC_LINECOUNT	= linecount.o
LIBLINECOUNT	= liblinecount.a

SRC_PTW		= aircrack-ptw-lib.c
SRC_AC		= aircrack-ng.c crypto.c common.c $(SSEC_INT) $(SRC_PTW)
OBJS_PTW	= aircrack-ptw-lib.o
OBJS_AC		= aircrack-ng.o cpuid.o crypto.o common.o $(SSEO_INT) uniqueiv.o $(OBJS_PTW) $(LIBLINECOUNT)
OBJS_AC_MULTI	= crypto.o common.o uniqueiv.o $(OBJS_PTW)
ASM_AC		= sha1-sse2.S

OBJS_AD		= airdecap-ng.o crypto.o common.o
OBJS_PF		= packetforge-ng.o common.o crypto.o
OBJS_AR		= aireplay-ng.o common.o crypto.o osdep/radiotap/radiotap.o
OBJS_ADU	= airodump-ng.o common.o crypto.o uniqueiv.o osdep/radiotap/radiotap.o
ifneq ($(OSNAME), Linux)
	OBJS_ADU	+= osdep/common.o
endif
OBJS_AT		= airtun-ng.o common.o crypto.o osdep/radiotap/radiotap.o
OBJS_IV		= ivstools.o common.o crypto.o uniqueiv.o
OBJS_AS		= airserv-ng.o common.o osdep/radiotap/radiotap.o
OBJS_WS		= wesside-ng.o crypto.o common.o osdep/radiotap/radiotap.o $(OBJS_PTW)
OBJS_BS		= besside-ng.o crypto.o common.o osdep/radiotap/radiotap.o $(OBJS_PTW)
OBJS_BC		= besside-ng-crawler.o
OBJS_AL		= airolib-ng.o crypto.o common.o
OBJS_ES		= easside-ng.o common.o osdep/radiotap/radiotap.o
OBJS_BUDDY	= buddy-ng.o common.o
OBJS_MI		= makeivs-ng.o common.o uniqueiv.o
OBJS_AB		= airbase-ng.o common.o crypto.o osdep/radiotap/radiotap.o
OBJS_AU		= airdecloak-ng.o common.o osdep/radiotap/radiotap.o
OBJS_TT		= tkiptun-ng.o common.o crypto.o osdep/radiotap/radiotap.o
OBJS_WC		= wpaclean.o osdep/radiotap/radiotap.o

OSD		= osdep
LIBS		:= -L$(OSD) -l$(OSD) $(LIBS)
ifeq ($(OSNAME), cygwin)
LIBS		+= -liphlpapi -lsetupapi -luuid
endif
LIBOSD		= $(OSD)/lib$(OSD).a

LIBSSL		= -lssl -lcrypto
LIBSTDCXX	= -lstdc++

ifeq ($(subst TRUE,true,$(filter TRUE true,$(gcrypt) $(GCRYPT))),true)
	LIBSSL		= -lgcrypt $(LDFLAGS)
	CFLAGS 		+= -DUSE_GCRYPT
	OBJS_AC		+= sha1-git.o
	OBJS_AD		+= sha1-git.o
	OBJS_PF		+= sha1-git.o
	OBJS_IV		+= sha1-git.o
	OBJS_AR		+= sha1-git.o
	OBJS_ADU	+= sha1-git.o
	OBJS_AT		+= sha1-git.o
	OBJS_AB		+= sha1-git.o
	OBJS_AL		+= sha1-git.o
	OBJS_WS		+= sha1-git.o
	OBJS_TT		+= sha1-git.o
	OBJS_BS		+= sha1-git.o
else
	LIBSSL		= -lssl -lcrypto $(LDFLAGS)
endif


ifeq ($(subst TRUE,true,$(filter TRUE true,$(sqlite) $(SQLITE))),true)
	LIBSQL		= -L/usr/local/lib -lsqlite3
else
	LIBSQL		=
endif

all: config userland $(SBINFILES) $(SSESIMD_BIN)

userland: $(BINFILES)

config: $(AC_ROOT)/common.cfg

$(AC_ROOT)/common.cfg:
	sh $(AC_ROOT)/autocfg $(CC) $(AC_ROOT)

$(LIBLINECOUNT): $(SRC_LINECOUNT)
	$(AR) cru $(LIBLINECOUNT) $(SRC_LINECOUNT)
	$(RANLIB) $(LIBLINECOUNT)
	touch $(@)

$(LIBOSD):
	$(MAKE) -C $(OSD)

aircrack-ng-opt: $(SRC_AC)
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) $(SRC_AC) $(ASM_AC) $(LIBSSL) \
	uniqueiv.o -o aircrack-ng-opt -lpthread $(LIBSQL)

aircrack-ng-opt-prof_gen: $(SRC_AC)
	mkdir -p prof
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_genx -DDO_PGO_DUMP \
	-prof_dir$(PROF_DIR) $(SRC_AC) $(ASM_AC) $(LIBSSL) uniqueiv.o -o \
	aircrack-ng-opt-prof_gen -lpthread $(LIBSQL)

aircrack-ng-opt-prof_use: $(SRC_AC)
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_use \
	-prof_dir$(PROF_DIR) $(SRC_AC) $(ASM_AC) $(LIBSSL) uniqueiv.o -o \
	aircrack-ng-opt-prof -lpthread $(LIBSQL)

aircrack-ng$(EXE): $(OBJS_AC)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AC) $(ASM_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL) $(LIBSTDCXX)

ifeq ($(subst TRUE,true,$(filter TRUE true,$(multibin) $(MULTIBIN))),true)
wpapsk-simd.o: wpapsk.c
	$(CC) $(filter-out -DOLD_SSE_CORE,$(CFLAGS)) -DSIMD_CORE -c -o $(@) wpapsk.c

aircrack-ng-core.o: aircrack-ng.c
	$(CC) $(filter-out -DOLD_SSE_CORE,$(CFLAGS)) -c -o $(@) aircrack-ng.c

wpapsk-sse.o: wpapsk.c
	$(CC) $(filter-out -DOLD_SSE_CORE,$(CFLAGS)) -c -o $(@) wpapsk.c

aircrack-ng-simd$(EXE): $(OBJS_AC_MULTI) wpapsk-simd.o $(OBJ_MEMORY) $(OBJ_SIMD_CORE)
	$(CC) $(filter-out -DOLD_SSE_CORE,$(CFLAGS)) $(LDFLAGS) $(OBJS_AC_MULTI) $(OBJ_MEMORY) $(OBJ_SIMD_CORE) aircrack-ng-core.o wpapsk-simd.o $(ASM_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL) $(LIBSTDCXX) $(LIBLINECOUNT)

aircrack-ng-sse$(EXE): $(OBJS_AC_MULTI) wpapsk-sse.o $(OBJ_MEMORY) $(OBJ_SSE_CORE)
	$(CC) $(filter-out -DOLD_SSE_CORE,$(CFLAGS)) $(LDFLAGS) $(OBJS_AC_MULTI) $(OBJ_MEMORY) $(OBJ_SSE_CORE) aircrack-ng-core.o wpapsk-sse.o $(ASM_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL) $(LIBSTDCXX) $(LIBLINECOUNT)
endif

airdecap-ng$(EXE): $(OBJS_AD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AD) -o $(@) $(LIBSSL)

packetforge-ng$(EXE): $(OBJS_PF)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_PF) -o $(@) $(LIBSSL)

aireplay-ng$(EXE): $(OBJS_AR) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AR) -o $(@) $(LIBS) $(LIBSSL)

airodump-ng$(EXE): $(OBJS_ADU) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_ADU) -o $(@) $(LIBS) $(LIBSSL) -lpthread $(LIBPCRE)

airserv-ng$(EXE): $(OBJS_AS) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AS) -o $(@) $(LIBS)

airtun-ng$(EXE): $(OBJS_AT) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AT) -o $(@) $(LIBS) $(LIBSSL)

ivstools$(EXE): $(OBJS_IV)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_IV) -o $(@) $(LIBSSL)

kstats$(EXE): kstats.o
	$(CC) $(CFLAGS) $(LDFLAGS) kstats.o -o $(@) $(LDFLAGS)

wesside-ng$(EXE): $(OBJS_WS) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_WS) -o $(@) $(LIBS) $(LIBSSL) -lz

easside-ng$(EXE): $(OBJS_ES) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_ES) -o $(@) $(LIBS) -lz

buddy-ng$(EXE): $(OBJS_BUDDY)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_BUDDY) -o $(@) $(LDFLAGS)

besside-ng$(EXE): $(OBJS_BS) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_BS) -o $(@) $(LIBS) $(LIBSSL) -lz $(LIBPCRE)

besside-ng-crawler$(EXE): $(OBJS_BC)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_BC) -o $(@) $(LIBPCAP)

makeivs-ng$(EXE): $(OBJS_MI)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_MI) -o $(@) $(LDFLAGS)

airolib-ng$(EXE): $(OBJS_AL)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AL) -o $(@) $(LIBSSL) -DHAVE_REGEXP $(LIBSQL)

airbase-ng$(EXE): $(OBJS_AB) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AB) -o $(@) $(LIBS) $(LIBSSL) -lpthread

airdecloak-ng$(EXE): $(OBJS_AU)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_AU) -o $(@) $(LDFLAGS)

tkiptun-ng$(EXE): $(OBJS_TT) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_TT) -o $(@) $(LIBS) $(LIBSSL)

wpaclean$(EXE): $(OBJS_WC) $(LIBOSD)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_WC) -o $(@) $(LIBS)

strip: $(BINFILES) $(SBINFILES)
	strip $(BINFILES) $(SBINFILES)

clean:
	$(MAKE) -C $(OSD) clean
	-rm -f $(SBINFILES) $(BINFILES) $(OPTFILES) airolib-ng$(EXE) *.o wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE) buddy-ng$(EXE) besside-ng$(EXE) a.out $(LIBLINECOUNT) $(SSESIMD_BIN)

distclean: clean

install: all
	$(MAKE) -C $(OSD) install
	install -d $(DESTDIR)$(bindir)
	install -m 755 $(BINFILES) $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -m 755 $(SBINFILES) $(DESTDIR)$(sbindir)

uninstall:
	$(MAKE) -C $(OSD) uninstall
	-rm -f $(DESTDIR)$(bindir)/aircrack-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/airdecap-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/packetforge-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/airolib-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/ivstools$(EXE)
	-rm -f $(DESTDIR)$(bindir)/kstats$(EXE)
	-rm -f $(DESTDIR)$(bindir)/buddy-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/airodump-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/airserv-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/airtun-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/aireplay-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/wesside-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/easside-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/besside-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/besside-ng-crawler$(EXE)
	-rm -f $(DESTDIR)$(bindir)/wpaclean$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/airbase-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/makeivs-ng$(EXE)
	-rm -f $(DESTDIR)$(bindir)/airdecloak-ng$(EXE)
	-rm -f $(DESTDIR)$(sbindir)/tkiptun-ng$(EXE)
	-rm -rf $(DESTDIR)$(etcdir)

check: all
	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e Harkonen -q $(TEST_DIR)/wpa2.eapol.cap | grep 'KEY FOUND! \[ 12345678 \]' 
	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e test -q $(TEST_DIR)/wpa.cap | grep 'KEY FOUND! \[ biscotte \]'
	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e linksys -q $(TEST_DIR)/wpa2-psk-linksys.cap | grep 'KEY FOUND! \[ dictionary \]'
	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e linksys -q $(TEST_DIR)/wpa-psk-linksys.cap | grep 'KEY FOUND! \[ dictionary \]'
	./aircrack-ng$(EXE) $(TEST_DIR)/wep_64_ptw.cap -l /dev/null | grep "KEY FOUND" | grep "1F:1F:1F:1F:1F"
	./airdecap-ng$(EXE) -e linksys -p dictionary $(TEST_DIR)/wpa2-psk-linksys.cap -o /dev/null -c /dev/null | grep "decrypted WPA" | grep 25
	./airdecap-ng$(EXE) -e linksys -p dictionary $(TEST_DIR)/wpa-psk-linksys.cap -o /dev/null -c /dev/null | grep "decrypted WPA" | grep 53
	./airdecap-ng$(EXE) -e test -p biscotte $(TEST_DIR)/wpa.cap -o /dev/null -c /dev/null | grep "decrypted WPA" | grep 2
	$(TEST_DIR)/test-airdecap-ng.sh $(CURDIR)
ifeq ($(subst TRUE,true,$(filter TRUE true,$(sqlite) $(SQLITE))),true)
	$(TEST_DIR)/test-airolib-sqlite.sh $(CURDIR)
endif

=== test/Makefile ===
AC_ROOT		= ..
include $(AC_ROOT)/common.mak

TEST_DIR	= $(AC_ROOT)/test

CFLAGS		+= -Iinclude

all: test-hex_string_to_array

test-hex_string_to_array:
	$(CC) $(CFLAGS) $(LDFLAGS) test-hex_string_to_array.c ../src/common.c -o $(@) $(LDFLAGS)

clean:
	-rm -f test-hex_string_to_array.o test-hex_string_to_array$(EXE)

check: all
	./test-hex_string_to_array.sh

=== scripts/airdrop-ng/Makefile ===
AC_ROOT		= ../..
DOCFILES        = README
include		$(AC_ROOT)/common.mak

default: all

all:
	@echo "Nothing to do. Run make install"

install: doc
	python setup.py install --prefix="$(prefix)" --record files.txt

doc:
	$(MAKE) -C doc install 

uninstall:
	$(MAKE) -C doc $(@)
	cat files.txt | xargs rm -rf
	rm -f files.txt

clean:
	python setup.py clean
	rm -rf build

distclean: clean

=== scripts/airgraph-ng/Makefile ===
AC_ROOT		= ../..
DOCFILES        = README
include		$(AC_ROOT)/common.mak

default: all

all:
	@echo "Nothing to do. Run make install"

install: doc
	python setup.py install --prefix="$(prefix)" --record files.txt

doc:
	$(MAKE) -C man install 
	install -d $(prefix)$(docdir)
	install -d $(prefix)/share/airgraph-ng
	install -d $(DESTDIR)$(docdir)
	install -m 644 $(DOCFILES) $(DESTDIR)$(docdir)

uninstall: clean
	$(MAKE) -C man $(@)
	cat files.txt | xargs rm -rf
	rm -f files.txt

clean:
	python setup.py clean
	rm -rf build

distclean: clean

=== scripts/airoscript-ng/Makefile ===
#!/usr/bin/make
# Configure prefix here:
prefix=$(DESTDIR)/usr/local/
etcdir=$(DESTDIR)/usr/local/etc/
name="airoscript-ng"

INSTALL = install -c
INSTALLDATA = install -c -m 644
INSTALLBIN = install -c -m 755

data=$(prefix)/share
bindir=$(prefix)/sbin/
picdir=$(data)/pixmaps/
appdir=$(data)/applications/
locale=$(data)/locale
mandir=$(data)/man
docdir=$(data)/doc/$(name)
datadir=$(data)/$(name)/
srcdir=./src

install: installdirs\
	 install-binary \
	 install-config \
	 install-docs \
	 install-locale \
	 install-desktop


installdirs:
	@$(SHELL) ./.mkinstalldirs $(bindir) $(datadir) \
        			$(docdir)/html/images $(etcdir) \
        			$(docdir)/html/css \
                    $(mandir)/man1 $(locale) \
					$(datadir)/themes $(picdir) $(appdir) \
					$(datadir)/plugins \
					$(datadir)/extras \
					$(datadir)/templates

install-config:
	@$(INSTALLDATA) $(srcdir)/conf/airoscript-ng.conf $(etcdir)
	@$(INSTALLDATA) $(srcdir)/conf/airoscript-ng_debug.conf $(etcdir)
	@$(INSTALLDATA) $(srcdir)/conf/airoscript-ng_advanced.conf $(etcdir)
ifeq ($(package),yes)
	@$(INSTALLDATA) $(srcdir)/conf/airoscript-ng_packaged.conf $(etcdir)
endif

install-binary:
	@echo "Installing airoscript"
	@$(INSTALLBIN) $(srcdir)/airoscript-ng $(bindir)/$(name)
	@cp -r $(srcdir)/functions/* $(datadir)
	@echo "Installing themes"
	@cp -r $(srcdir)/templates/* $(datadir)/templates
	@$(INSTALLDATA) $(srcdir)/themes/*.theme $(datadir)/themes
	@echo "Installing plugins"
	@$(INSTALLDATA) $(srcdir)/plugins/* $(datadir)/plugins
	@echo "Installing extras"
	@cp -r $(srcdir)/extras/* $(datadir)/extras
	@cp -r $(srcdir)/extras/completions/* $(datadir)/extras/completions

install-docs:
	@echo "Installing documentation"
	@echo "\t Installing standard documentation"
	@for i in doc/* ; do if [ -d $$i ] && [ $$i != "." ] && [ $$i != ".." ]; then make -s -C $$i docdir="$(docdir)" INSTALLDATA="$(INSTALLDATA)" ; else $(INSTALLDATA) $$i $(docdir) ;fi ; done
	@# This will install any manpage on manpages dir. (Just man1 manpages)
	@echo  "\t Installing manpages"
	@for i in $(docdir)/*.1 ; do $(INSTALLDATA) $$i $(mandir)/man1/ ; done
	@echo "\t Installing artwork"
	@$(INSTALLDATA) $(srcdir)/goodies/airoscriptlogo.png $(docdir)/airoscript-ng.png

install-desktop:
	@install $(srcdir)/goodies/airoscript-ng.desktop $(appdir)/
	@install $(srcdir)/goodies/airoscript-ng_gtk.desktop $(appdir)/
	@$(INSTALLDATA) src/goodies/airoscriptlogo.png $(picdir)/airoscript-ng.png
	@xdg-desktop-menu install $(appdir)/airoscript-ng.desktop
	@xdg-desktop-menu install $(appdir)/airoscript-ng_gtk.desktop

generate-locale:
	@for i in $(srcdir)/locale/* ; do \
		if [ -d $$i ] && [ $$i != "." ] && [ $$i != ".." ]; then \
			make -s -C $$i &> /dev/null ; \
		fi ; \
	done

install-locale: generate-locale
	@echo "Installing locales"
	@for i in $(srcdir)/locale/* ; do \
		if [ -d $$i ] && [ $$i != "." ] && [ $$i != ".." ]; then \
			make -s -C $$i install localedir="$(locale)" INSTALLDATA="$(INSTALLDATA)" ; \
		fi ; \
	done

uninstall:
	@rm -f $(bindir)/$(name)
	@rm -f $(etcdir)/airoscript-ng*.conf
	@rm -rf $(datadir)
	@rm -rf $(docdir)
	@rm -f $(mandir)/man1/airoscript-ng.1
	@rm -f $(picdir)/airoscript-ng.png $(picdir)/airoscript-ng.desktop $(picdir)/airoscript-ng_gtk.desktop
	@for i in $(docdir)/*.1 ; do rm -rf $(mandir)/man1/$$i ; done
	@for i in $(srcdir)/locale/* ; do \
		if [ -d $$i ] && [ $$i != "." ] && [ $$i != ".." ]; then \
			make -s -C $$i uninstall localedir="$(locale)" ; \
		fi ; \
	done
	@echo "Uninstalled succesfully"

all: install

.PHONY: all install uninstall locale manpages

=== scripts/versuck-ng/Makefile ===
AC_ROOT		= ../..
include		$(AC_ROOT)/common.mak

SCRIPTS         = versuck-ng
DOCFILES        = README
MP_FILES        = versuck-ng.1

default: all

all:
	@echo "Nothing to do. Run make install"

install: uninstall
	install -d $(DESTDIR)$(mandir)
	install -m 644 $(MP_FILES) $(DESTDIR)$(mandir)
	install -m 755 $(SCRIPTS) $(DESTDIR)$(bindir)

uninstall:
	-rm -f $(DESTDIR)$(bindir)/versuck-ng
	-rm -f $(DESTDIR)$(docdir)/README
	@-$(foreach CUR_MP,$(MP_FILES), rm -f $(DESTDIR)$(mandir)/$(CUR_MP); echo rm -f $(DESTDIR)$(mandir)/$(CUR_MP); ) 

doc:
	install -d $(DESTDIR)$(docdir)
	install -m 644 $(DOCFILES) $(DESTDIR)$(docdir)

clean:
	@echo Nothing to do.

distclean: clean

=== src/osdep/Makefile ===
AC_ROOT	= ../..
include $(AC_ROOT)/common.mak

RTAP		= radiotap

LIB		= libosdep.a 
CFLAGS		+= $(PIC) -I.. $(LIBAIRPCAP)

OBJS_COMMON	= network.o file.o
OBJS		= osdep.o $(OBJS_COMMON)

#AIRPCAP_DIR	= airpcap
OBJS_APCAP	= airpcap.o

OBJS_OBSD	= $(OBJS) openbsd.o openbsd_tap.o
OBJS_NBSD	= $(OBJS) netbsd.o netbsd_tap.o
OBJS_FBSD	= $(OBJS) freebsd.o freebsd_tap.o
OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap/radiotap.o common.o
OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o radiotap/radiotap.o
OBJS_DARWIN = $(OBJS) darwin.o darwin_tap.o radiotap/radiotap.o

# XXX make it a DLL, without polluting cygwin.c
ifeq ($(subst TRUE,true,$(filter TRUE true,$(airpcap) $(AIRPCAP))),true)
	OBJS_CYGWIN    += $(OBJS_APCAP)
	DOPCAP		= $(AR) x $(AC_ROOT)/../developers/Airpcap_Devpack/lib/libairpcap.a
else
	DOPCAP		=
endif

all:
	@echo Building for $(OSNAME)
	@$(MAKE) .os.$(OSNAME)

.os.dummy: $(OBJS_DUMMY)
	$(AR) cru $(LIB) $(OBJS_DUMMY)
	$(RANLIB) $(LIB)
	touch $(@)

.os.DragonFly: $(OBJS_FBSD)
	$(AR) cru $(LIB) $(OBJS_FBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.FreeBSD: $(OBJS_FBSD)
	$(AR) cru $(LIB) $(OBJS_FBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.GNU-kFreeBSD: $(OBJS_FBSD)
	$(AR) cru $(LIB) $(OBJS_FBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.OpenBSD: $(OBJS_OBSD)
	$(AR) cru $(LIB) $(OBJS_OBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.NetBSD: $(OBJS_NBSD)
	$(AR) cru $(LIB) $(OBJS_NBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.Linux: $(OBJS_LINUX)
	$(AR) cru $(LIB) $(OBJS_LINUX)
	$(RANLIB) $(LIB)
	touch $(@)

.os.cygwin: $(OBJS_CYGWIN) 
	$(DOPCAP)
	$(AR) cru $(LIB) *.o radiotap/radiotap.o
	$(RANLIB) $(LIB) 
	touch $(@)

.os.Darwin: $(OBJS_DARWIN) 
	$(DOPCAP)
	$(AR) cru $(LIB) $(OBJS_DARWIN)
	$(RANLIB) $(LIB) 
	touch $(@)

.os.%: .os.dummy
	@echo "Your platform is unsupported by osdep, dummy code compiled."
	touch $(@)

install: all

uninstall:

clean: 
	$(MAKE) -C $(RTAP) clean
	rm -f $(LIB) *.o .os.*

=== test/cryptounittest/Makefile ===
AC_ROOT         = ../..
SRC_DIR		= $(AC_ROOT)/src
include $(AC_ROOT)/common.mak
CFLAGS          += -I$(SRC_DIR) -I$(SRC_DIR)/include $(COMMON_CFLAGS)

ifeq ($(subst TRUE,true,$(filter TRUE true,$(simdcore) $(SIMDCORE))),true)
	SSEO_INT	= $(AC_ROOT)/src/simd-intrinsics.o $(AC_ROOT)/src/memory.o $(AC_ROOT)/src/wpapsk.o
else
ifeq ($(subst TRUE,true,$(filter TRUE true,$(newsse) $(NEWSSE))),true)
	SSEO_INT	= $(AC_ROOT)/src/sse-intrinsics.o $(AC_ROOT)/src/memory.o $(AC_ROOT)/src/wpapsk.o
endif
endif

ifeq ($(subst TRUE,true,$(filter TRUE true,$(gcrypt) $(GCRYPT))),true)
	LIBSSL          =  -lgcrypt $(LDFLAGS)
	CFLAGS          += -DUSE_GCRYPT
else
	LIBSSL          = -lssl -lcrypto $(LDFLAGS)
endif

all:	check

SRC_CRYPTO	  = $(AC_ROOT)/src/crypto.c $(AC_ROOT)/src/sha1-git.c $(SSEO_INT) $(AC_ROOT)/src/cpuid.o $(AC_ROOT)/src/common.o

TESTFILES        = test-encrypt-wep$(EXE) test-calc-pmk$(EXE) test-calc-mic$(EXE) test-calc-ptk$(EXE) test-encrypt-ccmp$(EXE) test-decrypt-ccmp$(EXE) test-calc-4pmk$(EXE)

OBJS_TEST_EWEP  = test-encrypt-wep.c $(SRC_CRYPTO)
OBJS_TEST_CPMK  = test-calc-pmk.c $(SRC_CRYPTO)
OBJS_TEST_4PMK  = test-calc-4pmk.c $(SRC_CRYPTO)
OBJS_TEST_CMIC  = test-calc-mic.c $(SRC_CRYPTO)
OBJS_TEST_CPTK  = test-calc-ptk.c $(SRC_CRYPTO)
OBJS_TEST_DCMP  = test-decrypt-ccmp.c $(SRC_CRYPTO)
OBJS_TEST_ECMP  = test-encrypt-ccmp.c $(SRC_CRYPTO)

test-encrypt-wep$(EXE): $(OBJS_TEST_EWEP)
	$(CC) $(CFLAGS) $(OBJS_TEST_EWEP) -o $(@) $(LIBSSL)

test-calc-pmk$(EXE): $(OBJS_TEST_CPMK)
	$(CC) $(CFLAGS) $(OBJS_TEST_CPMK) -o $(@) $(LIBSSL)

test-calc-4pmk$(EXE): $(OBJS_TEST_4PMK)
	$(CC) $(CFLAGS) $(OBJS_TEST_4PMK) $(AC_ROOT)/src/sha1-sse2.S -o $(@) $(LIBSSL)

test-calc-mic$(EXE): $(OBJS_TEST_CMIC)
	$(CC) $(CFLAGS) $(OBJS_TEST_CMIC) -o $(@) $(LIBSSL)

test-calc-ptk$(EXE): $(OBJS_TEST_CPTK)
	$(CC) $(CFLAGS) $(OBJS_TEST_CPTK) -o $(@) $(LIBSSL)

test-encrypt-ccmp$(EXE): $(OBJS_TEST_ECMP)
	$(CC) $(CFLAGS) $(OBJS_TEST_ECMP) -o $(@) $(LIBSSL)

test-decrypt-ccmp$(EXE): $(OBJS_TEST_DCMP)
	$(CC) $(CFLAGS) $(OBJS_TEST_DCMP) -o $(@) $(LIBSSL)


default: check


check: $(TESTFILES)
	$(foreach TEST,$(TESTFILES), \
		./$(TEST) || exit 1; \
	)

valgrind: $(TESTFILES)
	$(foreach TEST,$(TESTFILES), \
		echo "Testing $$test for memory leaks with valgrind ..." ; \
		valgrind -q --error-exitcode=1 --leak-check=yes ./$(TEST) || exit 1; \
	)


clean:
	rm -f $(TESTFILES)
	rm -f vgcore*

=== scripts/airdrop-ng/doc/Makefile ===
AC_ROOT		= ../../../
include		$(AC_ROOT)/common.mak
DOCFILES = Apple.sample.txt dropRules.conf.example
default: all

all:
	@echo "Nothing to do, run make install" 

uninstall:
	rm -f $(DESTDIR)$(docdir)/Apple.sample.txt  $(DESTDIR)$(docdir)/dropRules.conf.example $(DESTDIR)$(mandir)/airdrop-ng.1

install:
	install -d $(DESTDIR)$(docdir)
	install -d $(DESTDIR)$(mandir)
	install -m 644 $(DOCFILES) $(DESTDIR)$(docdir)
	install -m 644 airdrop-ng.1 $(DESTDIR)$(mandir)

## aircrack-ng 1.2-0~beta3

=== debian/changelog ===
aircrack-ng (1:1.2-0~beta3-4) unstable; urgency=medium

  * Update the paths for the IEEE OUI file on airodump-ng
    to match the ones used now by the package ieee-data.
    (Closes: #771221)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 28 Nov 2014 00:48:06 +0100

aircrack-ng (1:1.2-0~beta3-3) unstable; urgency=high

  * Remove useless dh-python from Build-Depends. Check #769285.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 12 Nov 2014 17:42:10 +0100

aircrack-ng (1:1.2-0~beta3-2) unstable; urgency=high

  * Fix the following security vulnerabilities: (Closes: #767979)
    * CVE-2014-8321 - GPS stack overflow.
    * CVE-2014-8322 - tcp_test stack overflow.
    * CVE-2014-8323 - buddy-ng missing checkin data format.
    * CVE-2014-8324 - net_get missing check for invalid values.
  * Add missing dh-python package to Build-Depends.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Tue, 11 Nov 2014 23:41:52 +0100

aircrack-ng (1:1.2-0~beta3-1) unstable; urgency=low

  * New upstream release.
    * Remove all Debian patches that are now merged upstream.
  * Apply: "wrap-and-sort -sa"
  * Build with PCRE: Add support for regular expression matching for ESSID
    in airodump-ng.
  * Build with libgcrypt20 by default, but allow to use libgcrypt11 otherwise.
  * Fix libnl detection (Debian patches 002-fix-libnl-detection.diff and
    003-dont-abort-libnl-nolinux.diff).
  * Add build dependency on libnl-genl-3-dev.
  * Remove airdriver-ng (LP: #499513) (Closes: #449299).
  * Not longer recommend wget, because we don't ship airdriver-ng neither
    airoump-ng-oui-update.
  * Recommend the Debian package ieee-data that contains the OUI data.
    Add Debian patch 001-Airodump_whitespace_oui.diff to correctly parse it.
    Not longer ship airodump-ng-oui-update (Use update-oui instead).
    (Closes: #739199)
  * Switch to debhelper 9 and enable all hardening flags (PIE works now).
  * Update debian/watch and debian/copyright.
  * Upgrade to new standards version.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 30 May 2014 19:21:38 +0200

=== debian/control ===
Source: aircrack-ng
Section: net
Priority: optional
Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
Homepage: http://www.aircrack-ng.org/
Build-Depends:
 debhelper (>= 9),
 libgcrypt20-dev | libgcrypt11-dev,
 libnl-genl-3-dev [linux-any],
 libpcap0.8-dev,
 libpcre3-dev,
 libsqlite3-dev,
 pkg-config,
 python,
 zlib1g-dev
Standards-Version: 3.9.5

Package: aircrack-ng
Architecture: any
Depends:
 iw [linux-any],
 wireless-tools [linux-any],
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ieee-data
Description: wireless WEP/WPA cracking utilities
 aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a
 40-bit, 104-bit, 256-bit or 512-bit WEP key once enough encrypted packets
 have been gathered. Also it can attack WPA1/2 networks with some advanced
 methods or simply by brute force.
 .
 It implements the standard FMS attack along with some optimizations,
 thus making the attack much faster compared to other WEP cracking tools.
 It can also fully use a multiprocessor system to its full power in order
 to speed up the cracking process.
 .
 aircrack-ng is a fork of aircrack, as that project has been stopped by
 the upstream maintainer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export MAKEFLAGS = gcrypt=true sqlite=true unstable=true pcre=true

%:
	dh $@ --with=python2

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr
	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airodump-ng-oui-update*
	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airdriver-ng*
	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airodump-ng-oui-update
	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airdriver-ng

=== debian/watch ===
version=3
opts=dversionmangle=s/0~beta/beta/ \
http://download.aircrack-ng.org/aircrack-ng(?:-|\.|_|_v|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## aircrack-ng 1.2-0~rc4

=== debian/changelog ===
aircrack-ng (1:1.2-0~rc4-4) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * debian/rules: override dh_fixperms only for arch-indep packages.
    Closes: #882172

  [ Raphaël Hertzog ]
  * Add dh-python to Build-Depends.

 -- Sophie Brun <sophie@freexian.com>  Mon, 20 Nov 2017 14:29:58 +0100

aircrack-ng (1:1.2-0~rc4-3) unstable; urgency=medium

  * Team upload.
  * Package airgraph-ng tool (and associated airodump-join script) in a
    new airgraph-ng package to not inflict the python dependency on
    the main package.
  * Bump Standards-Version to 4.1.1: no changes required

 -- Sophie Brun <sophie@freexian.com>  Tue, 10 Oct 2017 11:51:15 +0200

aircrack-ng (1:1.2-0~rc4-2) unstable; urgency=medium

  * d/copyright: Update debian/* entry.
  * debian/patches:
    - 01_reproducible_build.patch: New patch to allow reproducible builds,
      thanks a lot to Reiner Herrmann (closes: #818230).
    - 01_remove_check.patch: Remove no-more-needed patch, see below.
    - 04_memory_access.patch: New patch from upstream to fix memory access
      issues.

 -- Samuel Henrique <samueloph@gmail.com>  Wed, 04 Jan 2017 23:53:28 -0200

aircrack-ng (1:1.2-0~rc4-1) unstable; urgency=medium

  * New upstream release.
  * Bump DH level to 10.
  * Bump Standards-Version to 3.9.8.
  * This package is now maintained under the pkg-security team.
  * Add myself as an uploader.
  * Changelog entries from 1.2-rc3 that closes bugs:
    - Airmon-ng: Fixed bashism (closes: #772193).
  * Changelog entries from 1.2-rc2 that closes bugs:
    - Airodump-ng: Fixed GPSd (LP: #942108).
  * debian/aircrack-ng.manpages: Create file and add airodump-ng-oui-update.8.
  * debian/clean: Create file and add common.cfg.
  * debian/control:
    - Build-Depends:
      ~ Add virtual package libgcrypt-dev for better support.
      ~ Remove python as its not needed.
    - Depends:
      ~ Add usbutils, ethtool and rfkill, used by airmon-ng.
  * debian/copyright:
    - Source: Change to new URL, last one was pointing directly to a release.
    - Remove no-matching entry for scripts/airdriver-ng.
    - Update all entries.
  * debian/install: Create file and add airodump-ng-oui-update.
  * debian/helper-scripts/airodump-ng-oui-update: Add script for compatibility
    with old command airodump-ng-oui-update.
  * debian/patches: Remove directory:
    - The following patches were applied upstream and/or are no more needed:
      ~ 000-Airmon_needs_bash.diff.
      ~ 001-Airodump_whitespace_oui.diff.
      ~ 002-fix-libnl-detection.diff.
      ~ 003-dont-abort-libnl-nolinux.diff.
      ~ 004-CVE-2014-8321.diff.
      ~ 005-CVE-2014-8322.diff.
      ~ 006-CVE-2014-8323.diff.
      ~ 007-CVE-2014-8324.diff.
      ~ 008-Airodump_fix-ieee-oui-path.diff.
    - 00_typos.patch: Fix typos, sent upstream.
    - 01_remove_check.patch: Remove problematic check routine.
    - 02_bashisms.patch: Remove bashisms.
  * debian/rules:
    - Don't use python anymore (remove --with=python2).
    - MAKEFLAGS: Switch to flag unstable instead of experimental, upstream
      changed on rc2.
    - override_dh_auto_configure: Use specific architecture requirements to
      prevent compiling bug, upstream is aware of this.
  * debian/watch:
    - Bump to version 4.
    - Add uversionmangle to convert dashes into tildes.
    - Add filenamemangle to use package name on tarballs.
    - Remove dversionmangle, deprecated by the use of uversionmangle.
    - Use Github repo.

  [ Carlos Alberto Lopez Perez ]
  * debian/patches/03_fix_trap_usage_dash.patch: New patch to fix bad SIG trap.

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 15 Oct 2016 14:40:51 -0300

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,36 @@
 Source: aircrack-ng
 Section: net
 Priority: optional
-Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
+Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Uploaders: Carlos Alberto Lopez Perez <clopez@igalia.com>,
+           Samuel Henrique <samueloph@gmail.com>
 Homepage: http://www.aircrack-ng.org/
 Build-Depends:
- debhelper (>= 9),
- libgcrypt20-dev | libgcrypt11-dev,
+ debhelper (>= 10),
+ dh-python,
+ libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
  libnl-genl-3-dev [linux-any],
  libpcap0.8-dev,
  libpcre3-dev,
  libsqlite3-dev,
  pkg-config,
- python,
+ python-all,
+ python-setuptools,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/git/pkg-security/aircrack-ng.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-security/aircrack-ng.git
 
 Package: aircrack-ng
 Architecture: any
 Depends:
  iw [linux-any],
  wireless-tools [linux-any],
+ ethtool,
+ usbutils,
+ rfkill,
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Recommends:
  ieee-data
 Description: wireless WEP/WPA cracking utilities
@@ -37,3 +46,12 @@
  .
  aircrack-ng is a fork of aircrack, as that project has been stopped by
  the upstream maintainer.
+
+Package: airgraph-ng
+Architecture: all
+Depends: ${python:Depends}, ${misc:Depends}, graphviz
+Recommends: aircrack-ng
+Description: Tool to graph txt files created by aircrack-ng
+ airgraph-ng is a tool to create a graph ouf of the txt file created by airodump
+ with its -w option. The graph shows the relationships between the clients and
+ the access points.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export MAKEFLAGS = gcrypt=true sqlite=true experimental=true pcre=true

%:
	dh $@ --with python2

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH),amd64)
	(echo "SSEFLAG=Y"; echo "NEWSSE=true"; echo "SIMDCORE=true"; echo "PTHREAD=Y") >common.cfg
else
	(echo "NEWSSE=false"; echo "SIMDCORE=false"; echo "PTHREAD=Y") >common.cfg
endif
	dh_auto_configure

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr
	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airodump-ng-oui-update*
	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airdriver-ng*
	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airodump-ng-oui-update
	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airdriver-ng

override_dh_fixperms-indep:
	dh_fixperms
	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/dump-join
	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airgraph-ng

## aircrack-ng 1.3

=== debian/changelog ===
aircrack-ng (1:1.3-3) unstable; urgency=medium

  * debian/patches/osdep_cigam.patch.patch:
    - fix build and test on big endian systems

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Sep 2018 10:24:23 +0200

aircrack-ng (1:1.3-2) unstable; urgency=medium

  * Disable failing test until the pcap is sorted
    out by upstream
  * bump std-version to 4.2.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Aug 2018 10:04:00 +0200

aircrack-ng (1:1.3-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 1.3

  [ Gianfranco Costamagna ]
  * Upload to unstable
  * Fix dump-join airodump-join move
  * copyright in secure mode
  * Drop 00_typos patch: upstream
  * drop 02_ftbfs_gcrypt.patch: upstream
  * drop 03_neon_support.patch: upstream
  * drop 04_fix_byteorder_macros.patch: upstream
  * drop 05_dump_join_fix.patch: upstream
  * Add libcmocka-dev new dependency
  * bump std-version to 4.1.5, no changes required
  * Update copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Jul 2018 12:03:23 +0200

aircrack-ng (1:1.2.0-6) unstable; urgency=medium

  * Team upload.
  * Add d/pacth/04_fix_byteorder_macros.patch fixing airserv-ng

 -- Sophie Brun <sophie@freexian.com>  Tue, 15 May 2018 09:34:40 +0200

aircrack-ng (1:1.2.0-5) unstable; urgency=medium

  * Upload revisions -3 and -4 to unstable (changelog below)
  * d/control|copyright: update my email address

 -- Samuel Henrique <samueloph@debian.org>  Fri, 11 May 2018 15:44:19 -0300

aircrack-ng (1:1.2.0-4) experimental; urgency=medium

  * d/patches/neon_support: fix FTBFS on armel by performing NEON
    intrinsic support using Autoconf

 -- Samuel Henrique <samueloph@debian.org>  Wed, 09 May 2018 19:22:03 -0300

aircrack-ng (1:1.2.0-3) experimental; urgency=medium

  * Revert "d/control: add libssl-dev build-dep", it was an attempt to fix
    an FTBFS, the following patch should fix that.
  * d/patches/02_ftbfs_gcrypt: fix gcrypt usage

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 May 2018 20:19:22 -0300

aircrack-ng (1:1.2.0-2) unstable; urgency=medium

  * d/control: add libssl-dev build-dep

 -- Samuel Henrique <samueloph@debian.org>  Wed, 02 May 2018 13:30:15 -0300

aircrack-ng (1:1.2.0-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Samuel Henrique ]
  * Bump DH to 11
  * New upstream version 1.2.0~rc5
  * Fix the debian part of the version number (now we wait until 1.2.1 to fix
  * d/copyright: update debian/* entry
    the upstream part)

  [ Sophie Brun ]
  * New upstream version 1.2.0 (still have a difference with upstream: 1.2)
  * Update debian/copyright
  * Update patches:
     - drop patches merged upstream (02_bashisms.patch,
       03_fix_trap_usage_dash.patch, 04_memory_access.patch)
     - drop 01_reproducible_build.patch: don't apply anymore
  * Bump Standards-Version to 4.1.4 (no changes required)
  * Don't install the tests as examples
  * Update debian/rules for new Makefile

 -- Sophie Brun <sophie@freexian.com>  Wed, 02 May 2018 01:40:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: aircrack-ng
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Carlos Alberto Lopez Perez <clopez@igalia.com>,
-           Samuel Henrique <samueloph@gmail.com>
+           Samuel Henrique <samueloph@debian.org>
 Homepage: http://www.aircrack-ng.org/
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
  libnl-genl-3-dev [linux-any],
@@ -16,10 +16,11 @@
  pkg-config,
  python-all,
  python-setuptools,
- zlib1g-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/pkg-security/aircrack-ng.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/aircrack-ng.git
+ zlib1g-dev,
+ libcmocka-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/aircrack-ng
+Vcs-Git: https://salsa.debian.org/pkg-security-team/aircrack-ng.git
 
 Package: aircrack-ng
 Architecture: any

## aircrack-ng 1.4

=== debian/changelog ===
aircrack-ng (1:1.4-3) unstable; urgency=medium

  * Upload to unstable

 -- Samuel Henrique <samueloph@debian.org>  Wed, 10 Oct 2018 15:22:28 -0300

aircrack-ng (1:1.4-2) experimental; urgency=medium

  * d/control: Add hwloc as dependency for perf boost
  * d/p/big-endian.patch: new patch to address FTBFS On big endian systems
  * wrap-and-sort -a

 -- Samuel Henrique <samueloph@debian.org>  Tue, 09 Oct 2018 23:20:40 -0300

aircrack-ng (1:1.4-1) unstable; urgency=medium

  * New upstream version 1.4
  * d/p/osdep_cigam.patch: remove patch, applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 30 Sep 2018 23:55:09 -0300

=== debian/control ===
--- 
+++ 
@@ -5,35 +5,34 @@
 Uploaders: Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Samuel Henrique <samueloph@debian.org>
 Homepage: http://www.aircrack-ng.org/
-Build-Depends:
- debhelper (>= 11),
- dh-python,
- libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
- libnl-genl-3-dev [linux-any],
- libpcap0.8-dev,
- libpcre3-dev,
- libsqlite3-dev,
- pkg-config,
- python-all,
- python-setuptools,
- zlib1g-dev,
- libcmocka-dev
+Build-Depends: debhelper (>= 11),
+               dh-python,
+               hwloc,
+               libcmocka-dev,
+               libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
+               libnl-genl-3-dev [linux-any],
+               libpcap0.8-dev,
+               libpcre3-dev,
+               libsqlite3-dev,
+               pkg-config,
+               python-all,
+               python-setuptools,
+               zlib1g-dev
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/aircrack-ng
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aircrack-ng.git
 
 Package: aircrack-ng
 Architecture: any
-Depends:
- iw [linux-any],
- wireless-tools [linux-any],
- ethtool,
- usbutils,
- rfkill,
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- ieee-data
+Depends: ethtool,
+         hwloc,
+         iw [linux-any],
+         rfkill,
+         usbutils,
+         wireless-tools [linux-any],
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: ieee-data
 Description: wireless WEP/WPA cracking utilities
  aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a
  40-bit, 104-bit, 256-bit or 512-bit WEP key once enough encrypted packets
@@ -50,7 +49,9 @@
 
 Package: airgraph-ng
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, graphviz
+Depends: graphviz,
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: aircrack-ng
 Description: Tool to graph txt files created by aircrack-ng
  airgraph-ng is a tool to create a graph ouf of the txt file created by airodump

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export MAKEFLAGS = gcrypt=true sqlite=true experimental=true pcre=true
 
 %:
 	dh $@ --with python2
@@ -12,7 +11,7 @@
 else
 	(echo "NEWSSE=false"; echo "SIMDCORE=false"; echo "PTHREAD=Y") >common.cfg
 endif
-	dh_auto_configure
+	dh_auto_configure -- --with-gcrypt --with-experimental
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr
@@ -23,5 +22,5 @@
 
 override_dh_fixperms-indep:
 	dh_fixperms
-	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/dump-join
+	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airodump-join
 	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airgraph-ng

## aircrack-ng 1.5.2

=== debian/changelog ===
aircrack-ng (1:1.5.2-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Samuel Henrique <samueloph@debian.org>  Thu, 24 Jan 2019 23:01:40 +0000

aircrack-ng (1:1.5.2-3) unstable; urgency=medium

  * Team upload.
  * Fix helper-script aigraph-ng: see https://bugs.kali.org/view.php?id=5159

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Dec 2018 12:08:01 +0100

aircrack-ng (1:1.5.2-2) unstable; urgency=medium

  * d/control: Use libhwloc-dev instead of hwloc, thanks to sthibault
    (closes:#916780)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 18 Dec 2018 23:26:56 +0000

aircrack-ng (1:1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Samuel Henrique <samueloph@debian.org>  Thu, 13 Dec 2018 23:48:34 +0000

aircrack-ng (1:1.5.1-2) experimental; urgency=medium

  * d/rules: get rid of dependency libs on la-file

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Dec 2018 19:19:03 +0000

aircrack-ng (1:1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * d/p/big-endian: patch applied upstream
  * d/copyright: python.m4 file was removed upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Dec 2018 18:48:52 +0000

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airdriver-ng*
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airodump-ng-oui-update
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airdriver-ng
+	ls $(CURDIR)/debian/aircrack-ng/usr/lib/
+	find $(CURDIR)/debian/aircrack-ng/usr/lib/ -iname *.la -type f -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;
 
 override_dh_fixperms-indep:
 	dh_fixperms
